-18ºC to -25ºC, 23 cu. ft. single solid door, Auto defrost, 115 v.

-18ºC to -25ºC, 23 cu. ft. single solid door, Auto defrost, 115 v.

4.6 Cu. Ft, Solid Door Refrigerator (Built-In); Left Hinged

4.6 Cu. Ft, Solid Door Refrigerator (Built-In); Left Hinged

LAB FREEZER / REFRIGERATOR COMBI 4°C(R), -20°C(F), Auto defrost, 115v, 46.6 cu. ft. (R) 23.1 cu. ft. (F)

was $31,260.00 Special Price $27,899.55
LAB FREEZER / REFRIGERATOR COMBI 4°C(R), -20°C(F), Auto defrost, 115v, 46.6 cu. ft. (R) 23.1 cu. ft. (F) (1 per EA )

Manufacturer: Yamato Scientific America

SKU
RFC-2001-EA
LAB FREEZER / REFRIGERATOR COMBI 4°C(R), -20°C(F), Auto defrost, 115v, 46.6 cu. ft. (R) 23.1 cu. ft. (F) is available to buy in increments of 1

Product Details

Download Details and Specifications

RFC Series: Temp. Range up to -25ºC / 2ºC to 8ºC 

Operation and features

  • Digital temperature display
  • High/Low alarm
  • Two solid locking doors
  • Auto or manual defrost available
  • Locking casters
  • Four shelves
  • Adjustable shelves
  • CFC-free refrigerant and insulation
  • UL listed
  • Stainless exterior / interior available
  • Optional chart recorder

Primary Uses

  • Laboratories
  • Pharmaci

 

Manufacturer Part Number/SKU: RFC-2001-EA

Tags: Laboratory refrigerator freezer combination, Laboratory refrigerator/freezer combination, refrigerator freezer combo, refrigerator/freezer combo

Model RFC501 RFC1301 RFC2001
Capacity 515L / 18.2 cu.ft. 1359L / 48 cu.ft. 1982L / 70 cu.ft.
Refrigerator capacity 9.1 cu.ft. 24 cu.ft. 46.6 cu.ft.
Freezer capacity 9.1 cu.ft. 24 cu.ft. 24 cu.ft.
Door Two Solid, locking